--- /dev/null
+<?xml version="1.0" encoding="utf-8"?>
+<project>
+ <actions/>
+ <description><!-- Managed by Jenkins Job Builder --></description>
+ <keepDependencies>false</keepDependencies>
+ <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
+ <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
+ <concurrentBuild>true</concurrentBuild>
+ <assignedNode>build-vm</assignedNode>
+ <canRoam>false</canRoam>
+ <properties>
+ <jenkins.model.BuildDiscarderProperty>
+ <strategy class="hudson.tasks.LogRotator">
+ <daysToKeep>7</daysToKeep>
+ <numToKeep>-1</numToKeep>
+ <artifactDaysToKeep>-1</artifactDaysToKeep>
+ <artifactNumToKeep>0</artifactNumToKeep>
+ </strategy>
+ </jenkins.model.BuildDiscarderProperty>
+ <hudson.model.ParametersDefinitionProperty>
+ <parameterDefinitions>
+ <hudson.model.StringParameterDefinition>
+ <name>PROJECT</name>
+ <description>Parameter to identify a Gerrit project. This is typically the
+project repo path as exists in Gerrit.
+For example: ofextensions/circuitsw
+</description>
+ <defaultValue>releng/ciman</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>STREAM</name>
+ <description>Stream is often set to the same name as 'branch' but can
+sometimes be used as a name representing a project's release code
+name.
+</description>
+ <defaultValue>master</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>GERRIT_PROJECT</name>
+ <description>Parameter to identify Gerrit project. This is typically the
+project repo path as exists in Gerrit.
+For example: ofextensions/circuitsw
+
+Note that Gerrit will override this parameter automatically if a
+job is triggered by Gerrit.
+</description>
+ <defaultValue>releng/ciman</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>GERRIT_BRANCH</name>
+ <description>Parameter to identify a Gerrit branch.
+
+Note that Gerrit will override this parameter automatically if a
+job is triggered by Gerrit.
+</description>
+ <defaultValue>master</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>GERRIT_REFSPEC</name>
+ <description>Parameter to identify a refspec when pulling from Gerrit.
+
+Note that Gerrit will override this parameter automatically if a
+job is triggered by Gerrit.
+</description>
+ <defaultValue>refs/heads/master</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>LFTOOLS_VERSION</name>
+ <description>Version of lftools to install. Can be a specific version like
+'0.6.0' or a PEP-440 definition.
+https://www.python.org/dev/peps/pep-0440/
+For example '<1.0.0' or '>=1.0.0,<2.0.0'.
+</description>
+ <defaultValue><1.0.0</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>NODE_DIR</name>
+ <description>Path to a Node project directory.</description>
+ <defaultValue/>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>NODE_VERSION</name>
+ <description>Version of NodeJS to install.</description>
+ <defaultValue>6.11.4</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ </parameterDefinitions>
+ </hudson.model.ParametersDefinitionProperty>
+ </properties>
+ <scm class="hudson.plugins.git.GitSCM">
+ <configVersion>2</configVersion>
+ <userRemoteConfigs>
+ <hudson.plugins.git.UserRemoteConfig>
+ <name>origin</name>
+ <refspec>$GERRIT_REFSPEC</refspec>
+ <url>$GIT_URL/$GERRIT_PROJECT</url>
+ <credentialsId>test-credential</credentialsId>
+ </hudson.plugins.git.UserRemoteConfig>
+ </userRemoteConfigs>
+ <branches>
+ <hudson.plugins.git.BranchSpec>
+ <name>refs/heads/origin/$GERRIT_BRANCH</name>
+ </hudson.plugins.git.BranchSpec>
+ </branches>
+ <excludedUsers/>
+ <buildChooser class="com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTriggerBuildChooser"/>
+ <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
+ <authorOrCommitter>false</authorOrCommitter>
+ <wipeOutWorkspace>true</wipeOutWorkspace>
+ <pruneBranches>false</pruneBranches>
+ <remotePoll>false</remotePoll>
+ <gitTool>Default</gitTool>
+ <submoduleCfg class="list"/>
+ <relativeTargetDir/>
+ <reference/>
+ <gitConfigName/>
+ <gitConfigEmail/>
+ <skipTag>true</skipTag>
+ <scmName/>
+ <useShallowClone>false</useShallowClone>
+ <ignoreNotifyCommit>false</ignoreNotifyCommit>
+ <extensions>
+ <hudson.plugins.git.extensions.impl.SubmoduleOption>
+ <disableSubmodules>false</disableSubmodules>
+ <recursiveSubmodules>true</recursiveSubmodules>
+ <trackingSubmodules>false</trackingSubmodules>
+ <reference/>
+ <timeout>10</timeout>
+ </hudson.plugins.git.extensions.impl.SubmoduleOption>
+ <hudson.plugins.git.extensions.impl.WipeWorkspace/>
+ </extensions>
+ </scm>
+ <triggers class="vector">
+ <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
+ <spec/>
+ <gerritProjects>
+ <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
+ <compareType>ANT</compareType>
+ <pattern>releng/ciman</pattern>
+ <branches>
+ <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
+ <compareType>ANT</compareType>
+ <pattern>**/master</pattern>
+ </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.Branch>
+ </branches>
+ <filePaths>
+ <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
+ <compareType>ANT</compareType>
+ <pattern>{node-dir}/**</pattern>
+ </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.FilePath>
+ </filePaths>
+ <disableStrictForbiddenFileVerification>false</disableStrictForbiddenFileVerification>
+ </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.data.GerritProject>
+ </gerritProjects>
+ <skipVote>
+ <onSuccessful>false</onSuccessful>
+ <onFailed>false</onFailed>
+ <onUnstable>false</onUnstable>
+ <onNotBuilt>false</onNotBuilt>
+ </skipVote>
+ <silentMode>false</silentMode>
+ <silentStartMode>false</silentStartMode>
+ <escapeQuotes>true</escapeQuotes>
+ <noNameAndEmailParameters>false</noNameAndEmailParameters>
+ <readableMessage>false</readableMessage>
+ <dependencyJobsNames/>
+ <notificationLevel/>
+ <dynamicTriggerConfiguration>False</dynamicTriggerConfiguration>
+ <triggerConfigURL/>
+ <allowTriggeringUnreviewedPatches>false</allowTriggeringUnreviewedPatches>
+ <triggerOnEvents>
+ <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
+ <excludeDrafts>false</excludeDrafts>
+ <excludeTrivialRebase>false</excludeTrivialRebase>
+ <excludeNoCodeChange>false</excludeNoCodeChange>
+ </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginPatchsetCreatedEvent>
+ <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginDraftPublishedEvent/>
+ <com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
+ <commentAddedCommentContains>recheck$</commentAddedCommentContains>
+ </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.events.PluginCommentAddedContainsEvent>
+ </triggerOnEvents>
+ <buildStartMessage/>
+ <buildFailureMessage/>
+ <buildSuccessfulMessage/>
+ <buildUnstableMessage/>
+ <buildNotBuiltMessage/>
+ <buildUnsuccessfulFilepath/>
+ <customUrl/>
+ <serverName>test-server</serverName>
+ </com.sonyericsson.hudson.plugins.gerrit.trigger.hudsontrigger.GerritTrigger>
+ </triggers>
+ <builders>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> node-install.sh"
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+virtualenv --quiet "/tmp/v/python"
+# shellcheck source=/tmp/v/node/bin/activate disable=SC1091
+source "/tmp/v/python/bin/activate"
+pip install --quiet --upgrade pip
+pip install --quiet --upgrade pipdeptree
+pip install --quiet --upgrade nodeenv
+
+echo "----> Pip Dependency Tree"
+pipdeptree
+
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> node-run.sh"
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+# Prepare node
+nodeenv --node="$NODE_VERSION" --prebuilt "/tmp/v/node"
+source /tmp/v/node/bin/activate
+cd "$WORKSPACE/$NODE_DIR"
+npm install
+npm test
+</command>
+ </hudson.tasks.Shell>
+ </builders>
+ <publishers>
+ <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
+ <buildSteps>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> sysstat.sh"
+set +e # DON'T fail build if script fails.
+
+OS=$(facter operatingsystem)
+case "$OS" in
+ Ubuntu)
+ SYSSTAT_PATH="/var/log/sysstat"
+
+ # Dont run the script when systat is not enabled by default
+ if ! grep --quiet 'ENABLED="true"' "/etc/default/sysstat"; then
+ exit 0
+ fi
+ ;;
+ CentOS|RedHat)
+ SYSSTAT_PATH="/var/log/sa"
+ ;;
+ *)
+ # nothing to do
+ exit 0
+ ;;
+esac
+
+SAR_DIR="$WORKSPACE/archives/sar-reports"
+mkdir -p "$SAR_DIR"
+cp "$SYSSTAT_PATH/"* "$_"
+# convert sar data to ascii format
+while IFS="" read -r s
+do
+ [ -f "$s" ] && LC_TIME=POSIX sar -A -f "$s" > "$SAR_DIR/sar${s//[!0-9]/}"
+done < <(find "$SYSSTAT_PATH" -name "sa[0-9]*" || true)
+
+# DON'T fail build if script fails.
+exit 0
+</command>
+ </hudson.tasks.Shell>
+ <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
+ <managedFiles>
+ <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
+ <fileId>jenkins-log-archives-settings</fileId>
+ <targetLocation/>
+ <variable>SETTINGS_FILE</variable>
+ </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
+ </managedFiles>
+ </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
+ <EnvInjectBuilder>
+ <info>
+ <propertiesContent>SERVER_ID=logs</propertiesContent>
+ </info>
+ </EnvInjectBuilder>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> create-netrc.sh"
+
+# Ensure we fail the job if any steps fail.
+set -eu -o pipefail
+
+NEXUS_URL="${NEXUS_URL:-$NEXUSPROXY}"
+CREDENTIAL=$(xmlstarlet sel -N "x=http://maven.apache.org/SETTINGS/1.0.0" \
+ -t -m "/x:settings/x:servers/x:server[x:id='${SERVER_ID}']" \
+ -v x:username -o ":" -v x:password \
+ "$SETTINGS_FILE")
+
+machine=$(echo "$NEXUS_URL" | awk -F/ '{print $3}')
+user=$(echo "$CREDENTIAL" | cut -f1 -d:)
+pass=$(echo "$CREDENTIAL" | cut -f2 -d:)
+
+echo "machine $machine login $user password $pass" > ~/.netrc
+</command>
+ </hudson.tasks.Shell>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> lftools-install.sh"
+
+# Script to install lftools via a version passed in via lf-infra-parameters
+#
+# Required parameters:
+#
+# LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
+# set to a strict version number like '1.2.3' or using
+# PEP-440 definitions.
+#
+# Examples:
+# <1.0.0
+# >=1.0.0,<2.0.0
+#
+# By default a released version of lftools should always be used.
+# The purpose of the 2 variables below is so that lftools devs can test
+# unreleased versions of lftools. There are 2 methods to install a dev version
+# of lftools:
+#
+# 1) gerrit patch: Used to test a patch that has not yet been merged.
+# To do this set something like this:
+# LFTOOLS_MODE=gerrit
+# LFTOOLS_REFSPEC=refs/changes/96/5296/7
+#
+# 2) git branch: Used to install an lftools version from a specific branch.
+# To use this set the variables as follows:
+# LFTOOLS_MODE=git
+# LFTOOLS_REFSPEC=master
+#
+# 3) release : The intended use case and default setting.
+# Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
+
+LFTOOLS_MODE=release # release | git | gerrit
+LFTOOLS_REFSPEC=master
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+virtualenv --quiet "/tmp/v/lftools"
+# shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
+source "/tmp/v/lftools/bin/activate"
+pip install --quiet --upgrade pip
+
+case $LFTOOLS_MODE in
+ gerrit)
+ git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
+ pushd /tmp/lftools
+ git fetch origin "$LFTOOLS_REFSPEC"
+ git checkout FETCH_HEAD
+ pip install --quiet --upgrade -r requirements.txt
+ pip install --quiet --upgrade -e .
+ popd
+ ;;
+
+ git)
+ pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@"$BRANCH"
+ ;;
+
+ release)
+ if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
+ LFTOOLS_VERSION="==$LFTOOLS_VERSION"
+ fi
+
+ pip install --quiet --upgrade "lftools${LFTOOLS_VERSION}"
+ ;;
+esac
+
+lftools --version
+
+# pipdeptree prints out a lot of information because lftools pulls in many
+# dependencies. Let's only print it if we want to debug.
+# echo "----> Pip Dependency Tree"
+# pip install --quiet --upgrade pipdeptree
+# pipdeptree
+
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> logs-deploy.sh"
+
+# Ensure we fail the job if any steps fail.
+set -eu -o pipefail
+
+set -x # Trace commands for this script to make debugging easier.
+
+ARCHIVE_ARTIFACTS="${ARCHIVE_ARTIFACTS:-}"
+LOGS_SERVER="${LOGS_SERVER:-None}"
+
+if [ "${LOGS_SERVER}" == 'None' ]
+then
+ set +x # Disable trace since we no longer need it
+
+ echo "WARNING: Logging server not set"
+else
+ NEXUS_URL="${NEXUS_URL:-$NEXUSPROXY}"
+ NEXUS_PATH="${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}"
+ BUILD_URL="${BUILD_URL}"
+
+ lftools deploy archives -p "$ARCHIVE_ARTIFACTS" "$NEXUS_URL" "$NEXUS_PATH" "$WORKSPACE"
+ lftools deploy logs "$NEXUS_URL" "$NEXUS_PATH" "$BUILD_URL"
+
+ set +x # Disable trace since we no longer need it.
+
+ echo "Build logs: <a href=\"$LOGS_SERVER/$NEXUS_PATH\">$LOGS_SERVER/$NEXUS_PATH</a>"
+fi
+</command>
+ </hudson.tasks.Shell>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+
+# Clear log credential files
+rm "$SETTINGS_FILE"
+rm ~/.netrc
+</command>
+ </hudson.tasks.Shell>
+ <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
+ <regexp>^Build logs: .*</regexp>
+ </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
+ </buildSteps>
+ <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
+ <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
+ <markBuildUnstable>false</markBuildUnstable>
+ </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
+ <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
+ <patterns>
+ <hudson.plugins.ws__cleanup.Pattern>
+ <pattern>**/*.jenkins-trigger</pattern>
+ <type>EXCLUDE</type>
+ </hudson.plugins.ws__cleanup.Pattern>
+ </patterns>
+ <deleteDirs>false</deleteDirs>
+ <cleanupMatrixParent>false</cleanupMatrixParent>
+ <externalDelete/>
+ <cleanWhenSuccess>true</cleanWhenSuccess>
+ <cleanWhenUnstable>true</cleanWhenUnstable>
+ <cleanWhenFailure>true</cleanWhenFailure>
+ <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
+ <cleanWhenAborted>true</cleanWhenAborted>
+ <notFailBuild>true</notFailBuild>
+ </hudson.plugins.ws__cleanup.WsCleanup>
+ </publishers>
+ <buildWrappers>
+ <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
+ <hudson.plugins.build__timeout.BuildTimeoutWrapper>
+ <timeoutMinutes>10</timeoutMinutes>
+ <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
+ <failBuild>true</failBuild>
+ <writingDescription>false</writingDescription>
+ <timeoutPercentage>0</timeoutPercentage>
+ <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
+ <timeoutType>absolute</timeoutType>
+ </hudson.plugins.build__timeout.BuildTimeoutWrapper>
+ <hudson.plugins.timestamper.TimestamperBuildWrapper/>
+ <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
+ <user>test-credential</user>
+ </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
+ <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
+ </buildWrappers>
+</project>
--- /dev/null
+<?xml version="1.0" encoding="utf-8"?>
+<project>
+ <actions/>
+ <description><!-- Managed by Jenkins Job Builder --></description>
+ <keepDependencies>false</keepDependencies>
+ <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
+ <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
+ <concurrentBuild>true</concurrentBuild>
+ <assignedNode>build-vm</assignedNode>
+ <canRoam>false</canRoam>
+ <properties>
+ <com.coravy.hudson.plugins.github.GithubProjectProperty>
+ <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
+ </com.coravy.hudson.plugins.github.GithubProjectProperty>
+ <hudson.model.ParametersDefinitionProperty>
+ <parameterDefinitions>
+ <hudson.model.StringParameterDefinition>
+ <name>PROJECT</name>
+ <description>Parameter to identify a Gerrit project. This is typically the
+project repo path as exists in Gerrit.
+For example: ofextensions/circuitsw
+</description>
+ <defaultValue>releng/ciman</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>STREAM</name>
+ <description>Stream is often set to the same name as 'branch' but can
+sometimes be used as a name representing a project's release code
+name.
+</description>
+ <defaultValue>master</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>GERRIT_PROJECT</name>
+ <description>Parameter to identify Gerrit project. This is typically the
+project repo path as exists in Gerrit.
+For example: ofextensions/circuitsw
+
+Note that Gerrit will override this parameter automatically if a
+job is triggered by Gerrit.
+</description>
+ <defaultValue>releng/ciman</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>GERRIT_BRANCH</name>
+ <description>Parameter to identify a Gerrit branch.
+
+Note that Gerrit will override this parameter automatically if a
+job is triggered by Gerrit.
+</description>
+ <defaultValue>master</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>GERRIT_REFSPEC</name>
+ <description>Parameter to identify a refspec when pulling from Gerrit.
+
+Note that Gerrit will override this parameter automatically if a
+job is triggered by Gerrit.
+</description>
+ <defaultValue>refs/heads/master</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>LFTOOLS_VERSION</name>
+ <description>Version of lftools to install. Can be a specific version like
+'0.6.0' or a PEP-440 definition.
+https://www.python.org/dev/peps/pep-0440/
+For example '<1.0.0' or '>=1.0.0,<2.0.0'.
+</description>
+ <defaultValue><1.0.0</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>NODE_DIR</name>
+ <description>Path to a Node project directory.</description>
+ <defaultValue/>
+ </hudson.model.StringParameterDefinition>
+ <hudson.model.StringParameterDefinition>
+ <name>NODE_VERSION</name>
+ <description>Version of NodeJS to install.</description>
+ <defaultValue>6.11.4</defaultValue>
+ </hudson.model.StringParameterDefinition>
+ </parameterDefinitions>
+ </hudson.model.ParametersDefinitionProperty>
+ </properties>
+ <scm class="hudson.plugins.git.GitSCM">
+ <configVersion>2</configVersion>
+ <userRemoteConfigs>
+ <hudson.plugins.git.UserRemoteConfig>
+ <name>origin</name>
+ <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
+ <url>git@github.com:example-org/releng/ciman</url>
+ <credentialsId>test-credential</credentialsId>
+ </hudson.plugins.git.UserRemoteConfig>
+ </userRemoteConfigs>
+ <branches>
+ <hudson.plugins.git.BranchSpec>
+ <name>**</name>
+ </hudson.plugins.git.BranchSpec>
+ </branches>
+ <excludedUsers/>
+ <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
+ <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
+ <authorOrCommitter>false</authorOrCommitter>
+ <wipeOutWorkspace>true</wipeOutWorkspace>
+ <pruneBranches>false</pruneBranches>
+ <remotePoll>false</remotePoll>
+ <gitTool>Default</gitTool>
+ <submoduleCfg class="list"/>
+ <relativeTargetDir/>
+ <reference/>
+ <gitConfigName/>
+ <gitConfigEmail/>
+ <skipTag>true</skipTag>
+ <scmName/>
+ <useShallowClone>false</useShallowClone>
+ <ignoreNotifyCommit>false</ignoreNotifyCommit>
+ <extensions>
+ <hudson.plugins.git.extensions.impl.SubmoduleOption>
+ <disableSubmodules>false</disableSubmodules>
+ <recursiveSubmodules>true</recursiveSubmodules>
+ <trackingSubmodules>false</trackingSubmodules>
+ <reference/>
+ <timeout>10</timeout>
+ </hudson.plugins.git.extensions.impl.SubmoduleOption>
+ <hudson.plugins.git.extensions.impl.WipeWorkspace/>
+ </extensions>
+ </scm>
+ <triggers class="vector">
+ <org.jenkinsci.plugins.ghprb.GhprbTrigger>
+ <spec/>
+ <adminlist/>
+ <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
+ <whitelist/>
+ <orgslist/>
+ <cron/>
+ <triggerPhrase>^recheck$</triggerPhrase>
+ <onlyTriggerPhrase>false</onlyTriggerPhrase>
+ <useGitHubHooks>true</useGitHubHooks>
+ <permitAll>true</permitAll>
+ <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
+ <extensions>
+ <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
+ <commitStatusContext>Node Verify</commitStatusContext>
+ </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
+ </extensions>
+ </org.jenkinsci.plugins.ghprb.GhprbTrigger>
+ </triggers>
+ <builders>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> node-install.sh"
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+virtualenv --quiet "/tmp/v/python"
+# shellcheck source=/tmp/v/node/bin/activate disable=SC1091
+source "/tmp/v/python/bin/activate"
+pip install --quiet --upgrade pip
+pip install --quiet --upgrade pipdeptree
+pip install --quiet --upgrade nodeenv
+
+echo "----> Pip Dependency Tree"
+pipdeptree
+
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> node-run.sh"
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+# Prepare node
+nodeenv --node="$NODE_VERSION" --prebuilt "/tmp/v/node"
+source /tmp/v/node/bin/activate
+cd "$WORKSPACE/$NODE_DIR"
+npm install
+npm test
+</command>
+ </hudson.tasks.Shell>
+ </builders>
+ <publishers>
+ <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
+ <buildSteps>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> sysstat.sh"
+set +e # DON'T fail build if script fails.
+
+OS=$(facter operatingsystem)
+case "$OS" in
+ Ubuntu)
+ SYSSTAT_PATH="/var/log/sysstat"
+
+ # Dont run the script when systat is not enabled by default
+ if ! grep --quiet 'ENABLED="true"' "/etc/default/sysstat"; then
+ exit 0
+ fi
+ ;;
+ CentOS|RedHat)
+ SYSSTAT_PATH="/var/log/sa"
+ ;;
+ *)
+ # nothing to do
+ exit 0
+ ;;
+esac
+
+SAR_DIR="$WORKSPACE/archives/sar-reports"
+mkdir -p "$SAR_DIR"
+cp "$SYSSTAT_PATH/"* "$_"
+# convert sar data to ascii format
+while IFS="" read -r s
+do
+ [ -f "$s" ] && LC_TIME=POSIX sar -A -f "$s" > "$SAR_DIR/sar${s//[!0-9]/}"
+done < <(find "$SYSSTAT_PATH" -name "sa[0-9]*" || true)
+
+# DON'T fail build if script fails.
+exit 0
+</command>
+ </hudson.tasks.Shell>
+ <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
+ <managedFiles>
+ <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
+ <fileId>jenkins-log-archives-settings</fileId>
+ <targetLocation/>
+ <variable>SETTINGS_FILE</variable>
+ </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
+ </managedFiles>
+ </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
+ <EnvInjectBuilder>
+ <info>
+ <propertiesContent>SERVER_ID=logs</propertiesContent>
+ </info>
+ </EnvInjectBuilder>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> create-netrc.sh"
+
+# Ensure we fail the job if any steps fail.
+set -eu -o pipefail
+
+NEXUS_URL="${NEXUS_URL:-$NEXUSPROXY}"
+CREDENTIAL=$(xmlstarlet sel -N "x=http://maven.apache.org/SETTINGS/1.0.0" \
+ -t -m "/x:settings/x:servers/x:server[x:id='${SERVER_ID}']" \
+ -v x:username -o ":" -v x:password \
+ "$SETTINGS_FILE")
+
+machine=$(echo "$NEXUS_URL" | awk -F/ '{print $3}')
+user=$(echo "$CREDENTIAL" | cut -f1 -d:)
+pass=$(echo "$CREDENTIAL" | cut -f2 -d:)
+
+echo "machine $machine login $user password $pass" > ~/.netrc
+</command>
+ </hudson.tasks.Shell>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> lftools-install.sh"
+
+# Script to install lftools via a version passed in via lf-infra-parameters
+#
+# Required parameters:
+#
+# LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
+# set to a strict version number like '1.2.3' or using
+# PEP-440 definitions.
+#
+# Examples:
+# <1.0.0
+# >=1.0.0,<2.0.0
+#
+# By default a released version of lftools should always be used.
+# The purpose of the 2 variables below is so that lftools devs can test
+# unreleased versions of lftools. There are 2 methods to install a dev version
+# of lftools:
+#
+# 1) gerrit patch: Used to test a patch that has not yet been merged.
+# To do this set something like this:
+# LFTOOLS_MODE=gerrit
+# LFTOOLS_REFSPEC=refs/changes/96/5296/7
+#
+# 2) git branch: Used to install an lftools version from a specific branch.
+# To use this set the variables as follows:
+# LFTOOLS_MODE=git
+# LFTOOLS_REFSPEC=master
+#
+# 3) release : The intended use case and default setting.
+# Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
+
+LFTOOLS_MODE=release # release | git | gerrit
+LFTOOLS_REFSPEC=master
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+virtualenv --quiet "/tmp/v/lftools"
+# shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
+source "/tmp/v/lftools/bin/activate"
+pip install --quiet --upgrade pip
+
+case $LFTOOLS_MODE in
+ gerrit)
+ git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
+ pushd /tmp/lftools
+ git fetch origin "$LFTOOLS_REFSPEC"
+ git checkout FETCH_HEAD
+ pip install --quiet --upgrade -r requirements.txt
+ pip install --quiet --upgrade -e .
+ popd
+ ;;
+
+ git)
+ pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@"$BRANCH"
+ ;;
+
+ release)
+ if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
+ LFTOOLS_VERSION="==$LFTOOLS_VERSION"
+ fi
+
+ pip install --quiet --upgrade "lftools${LFTOOLS_VERSION}"
+ ;;
+esac
+
+lftools --version
+
+# pipdeptree prints out a lot of information because lftools pulls in many
+# dependencies. Let's only print it if we want to debug.
+# echo "----> Pip Dependency Tree"
+# pip install --quiet --upgrade pipdeptree
+# pipdeptree
+
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> logs-deploy.sh"
+
+# Ensure we fail the job if any steps fail.
+set -eu -o pipefail
+
+set -x # Trace commands for this script to make debugging easier.
+
+ARCHIVE_ARTIFACTS="${ARCHIVE_ARTIFACTS:-}"
+LOGS_SERVER="${LOGS_SERVER:-None}"
+
+if [ "${LOGS_SERVER}" == 'None' ]
+then
+ set +x # Disable trace since we no longer need it
+
+ echo "WARNING: Logging server not set"
+else
+ NEXUS_URL="${NEXUS_URL:-$NEXUSPROXY}"
+ NEXUS_PATH="${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}"
+ BUILD_URL="${BUILD_URL}"
+
+ lftools deploy archives -p "$ARCHIVE_ARTIFACTS" "$NEXUS_URL" "$NEXUS_PATH" "$WORKSPACE"
+ lftools deploy logs "$NEXUS_URL" "$NEXUS_PATH" "$BUILD_URL"
+
+ set +x # Disable trace since we no longer need it.
+
+ echo "Build logs: <a href=\"$LOGS_SERVER/$NEXUS_PATH\">$LOGS_SERVER/$NEXUS_PATH</a>"
+fi
+</command>
+ </hudson.tasks.Shell>
+ <hudson.tasks.Shell>
+ <command>#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+
+# Clear log credential files
+rm "$SETTINGS_FILE"
+rm ~/.netrc
+</command>
+ </hudson.tasks.Shell>
+ <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
+ <regexp>^Build logs: .*</regexp>
+ </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
+ </buildSteps>
+ <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
+ <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
+ <markBuildUnstable>false</markBuildUnstable>
+ </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
+ <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
+ <patterns>
+ <hudson.plugins.ws__cleanup.Pattern>
+ <pattern>**/*.jenkins-trigger</pattern>
+ <type>EXCLUDE</type>
+ </hudson.plugins.ws__cleanup.Pattern>
+ </patterns>
+ <deleteDirs>false</deleteDirs>
+ <cleanupMatrixParent>false</cleanupMatrixParent>
+ <externalDelete/>
+ <cleanWhenSuccess>true</cleanWhenSuccess>
+ <cleanWhenUnstable>true</cleanWhenUnstable>
+ <cleanWhenFailure>true</cleanWhenFailure>
+ <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
+ <cleanWhenAborted>true</cleanWhenAborted>
+ <notFailBuild>true</notFailBuild>
+ </hudson.plugins.ws__cleanup.WsCleanup>
+ </publishers>
+ <buildWrappers>
+ <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
+ <hudson.plugins.build__timeout.BuildTimeoutWrapper>
+ <timeoutMinutes>10</timeoutMinutes>
+ <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
+ <failBuild>true</failBuild>
+ <writingDescription>false</writingDescription>
+ <timeoutPercentage>0</timeoutPercentage>
+ <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
+ <timeoutType>absolute</timeoutType>
+ </hudson.plugins.build__timeout.BuildTimeoutWrapper>
+ <hudson.plugins.timestamper.TimestamperBuildWrapper/>
+ <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
+ <user>test-credential</user>
+ </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
+ <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
+ </buildWrappers>
+</project>
--- /dev/null
+---
+- project:
+ name: gerrit-node-jobs
+ jobs:
+ - "{project-name}-node-jobs"
+
+ project-name: gerrit-node
+
+- project:
+ name: github-node-jobs
+ jobs:
+ - "{project-name}-github-node-jobs"
+
+ project-name: github-node
https://www.python.org/dev/peps/pep-0440/
For example '<1.0.0' or '>=1.0.0,<2.0.0'.
+- parameter:
+ name: lf-infra-node-parameters
+ # Parameters for NodeJS
+ parameters:
+ - string:
+ name: NODE_DIR
+ default: '{node-dir}'
+ description: Path to a Node project directory.
+ - string:
+ name: NODE_VERSION
+ default: '{node-version}'
+ description: Version of NodeJS to install.
+
- parameter:
name: lf-infra-tox-parameters
# Useful parameters when working with TOX
--- /dev/null
+---
+- job-group:
+ name: '{project-name}-github-node-jobs'
+
+ # Job group containing recommended jobs to deploy for a Node Project.
+
+ node-version: 6.11.4
+
+ jobs:
+ - github-node-verify
+
+- job-group:
+ name: '{project-name}-node-jobs'
+
+ # Job group containing recommended jobs to deploy for a Node Project.
+
+ node-version: 6.11.4
+
+ jobs:
+ - gerrit-node-verify
+
+###############
+# Node Verify #
+###############
+
+- lf_node_verify: &lf_node_verify
+ name: lf-node-verify
+
+ # Verify job for NodeJS projects
+ #
+ # Required parameters:
+ #
+ # :build-node: The node to run build on.
+ # :jenkins-ssh-credential: Credential to use for SSH. (Generally should
+ # be configured in defaults.yaml)
+ # :node-version: Version of NodeJS to install. A default is configured
+ # via the job-group if a job-group is used.
+ #
+ # Optional parameters:
+ #
+ # :branch: The branch to build against. (default: master)
+ # :build-days-to-keep: Days to keep build logs in Jenkins. (default: 7)
+ # :build-timeout: Timeout in seconds before aborting build. (default: 10)
+ # :git-url: URL clone project from. (default: $GIT_URL/$PROJECT)
+ # :node-dir: Path to a NodeJS project to run node test against
+ # (default: '')
+ # :stream: Keyword that can be used to represent a release code-name.
+ # Often the same as the branch. (default: master)
+ # :submodule-recursive: Whether to checkout submodules recursively.
+ # (default: true)
+ #
+ # :gerrit_verify_triggers: Override Gerrit Triggers.
+ # :gerrit_trigger_file_paths: Override file paths which can be used to
+ # filter which file modifications will trigger a build.
+
+ ######################
+ # Default parameters #
+ ######################
+
+ branch: master
+ build-days-to-keep: 7
+ build-timeout: 10
+ git-url: '$GIT_URL/$GERRIT_PROJECT'
+ node-dir: ''
+ stream: master
+ submodule-recursive: true
+
+ gerrit_trigger_file_paths:
+ - compare-type: ANT
+ pattern: '{node-dir}/**'
+
+ gerrit_verify_triggers:
+ - patchset-created-event:
+ exclude-drafts: false
+ exclude-trivial-rebase: false
+ exclude-no-code-change: false
+ - draft-published-event
+ - comment-added-contains-event:
+ comment-contains-value: recheck$
+
+ #####################
+ # Job Configuration #
+ #####################
+
+ project-type: freestyle
+ node: '{build-node}'
+ concurrent: true
+
+ properties:
+ - lf-infra-properties:
+ build-days-to-keep: '{build-days-to-keep}'
+
+ parameters:
+ - lf-infra-parameters:
+ project: '{project}'
+ branch: '{branch}'
+ stream: '{stream}'
+ lftools-version: '{lftools-version}'
+ - lf-infra-node-parameters:
+ node-dir: '{node-dir}'
+ node-version: '{node-version}'
+
+ wrappers:
+ - lf-infra-wrappers:
+ build-timeout: '{build-timeout}'
+ jenkins-ssh-credential: '{jenkins-ssh-credential}'
+
+ builders:
+ - shell: !include-raw-escape:
+ - ../shell/node-install.sh
+ - ../shell/node-run.sh
+
+ publishers:
+ - lf-infra-publish
+
+- job-template:
+ name: '{project-name}-node-verify-{stream}'
+ id: gerrit-node-verify
+ <<: *lf_node_verify
+
+ scm:
+ - lf-infra-gerrit-scm:
+ jenkins-ssh-credential: '{jenkins-ssh-credential}'
+ git-url: '{git-url}'
+ refspec: '$GERRIT_REFSPEC'
+ branch: 'origin/$GERRIT_BRANCH'
+ submodule-recursive: '{submodule-recursive}'
+ choosing-strategy: gerrit
+
+ triggers:
+ - gerrit:
+ server-name: '{gerrit-server-name}'
+ trigger-on: '{obj:gerrit_verify_triggers}'
+ projects:
+ - project-compare-type: ANT
+ project-pattern: '{project}'
+ branches:
+ - branch-compare-type: ANT
+ branch-pattern: '**/{branch}'
+ file-paths: '{obj:gerrit_trigger_file_paths}'
+
+- job-template:
+ name: '{project-name}-node-verify-{stream}'
+ id: github-node-verify
+ <<: *lf_node_verify
+
+ properties:
+ - github:
+ url: '{git-url}/{github-org}/{project}'
+
+ scm:
+ - lf-infra-github-scm:
+ url: '{git-clone-url}{github-org}/{project}'
+ refspec: '+refs/pull/*:refs/remotes/origin/pr/*'
+ branch: '{branch}'
+ submodule-recursive: '{submodule-recursive}'
+ choosing-strategy: default
+ jenkins-ssh-credential: '{jenkins-ssh-credential}'
+
+ triggers:
+ - github-pull-request:
+ trigger-phrase: '^recheck$'
+ only-trigger-phrase: false
+ status-context: 'Node Verify'
+ permit-all: true
+ github-hooks: true
+ auto-close-on-fail: false
--- /dev/null
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> node-install.sh"
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+virtualenv --quiet "/tmp/v/python"
+# shellcheck source=/tmp/v/node/bin/activate disable=SC1091
+source "/tmp/v/python/bin/activate"
+pip install --quiet --upgrade pip
+pip install --quiet --upgrade pipdeptree
+pip install --quiet --upgrade nodeenv
+
+echo "----> Pip Dependency Tree"
+pipdeptree
--- /dev/null
+#!/bin/bash
+# SPDX-License-Identifier: EPL-1.0
+##############################################################################
+# Copyright (c) 2017 The Linux Foundation and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+##############################################################################
+echo "---> node-run.sh"
+
+# Ensure we fail the job if any steps fail.
+# DO NOT set -u as virtualenv's activate script has unbound variables
+set -e -o pipefail
+
+# Prepare node
+nodeenv --node="$NODE_VERSION" --prebuilt "/tmp/v/node"
+source /tmp/v/node/bin/activate
+cd "$WORKSPACE/$NODE_DIR"
+npm install
+npm test